<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<?fileVersion 4.0.0?><cproject storage_type_id="org.eclipse.cdt.core.XmlProjectDescriptionStorage">
	<storageModule moduleId="org.eclipse.cdt.core.settings">
		<cconfiguration id="com.atollic.truestudio.exe.debug.1264555599">
			<storageModule buildSystemId="org.eclipse.cdt.managedbuilder.core.configurationDataProvider" id="com.atollic.truestudio.exe.debug.1264555599" moduleId="org.eclipse.cdt.core.settings" name="Debug">
				<externalSettings/>
				<extensions>
					<extension id="org.eclipse.cdt.core.ELF" point="org.eclipse.cdt.core.BinaryParser"/>
					<extension id="org.eclipse.cdt.core.GASErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.GLDErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.GCCErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
				</extensions>
			</storageModule>
			<storageModule moduleId="cdtBuildSystem" version="4.0.0">
				<configuration artifactExtension="elf" artifactName="${ProjName}" buildArtefactType="org.eclipse.cdt.build.core.buildArtefactType.exe" buildProperties="org.eclipse.cdt.build.core.buildArtefactType=org.eclipse.cdt.build.core.buildArtefactType.exe" cleanCommand="rm -rf" description="" id="com.atollic.truestudio.exe.debug.1264555599" name="Debug" parent="com.atollic.truestudio.exe.debug">
					<folderInfo id="com.atollic.truestudio.exe.debug.1264555599." name="/" resourcePath="">
						<toolChain id="com.atollic.truestudio.exe.debug.toolchain.1456133327" name="Atollic ARM Tools" superClass="com.atollic.truestudio.exe.debug.toolchain">
							<option id="com.atollic.truestudio.general.runtimelib.12729623" name="Runtime Library" superClass="com.atollic.truestudio.general.runtimelib" useByScannerDiscovery="false" value="com.atollic.truestudio.ld.general.clib.standard" valueType="enumerated"/>
							<option id="com.atollic.truestudio.toolchain_options.mcu.2050165243" name="Microcontroller" superClass="com.atollic.truestudio.toolchain_options.mcu" useByScannerDiscovery="false" value="STM32L496ZG" valueType="string"/>
							<option id="com.atollic.truestudio.toolchain_options.vendor.289037181" name="Vendor name" superClass="com.atollic.truestudio.toolchain_options.vendor" useByScannerDiscovery="false" value="STMicroelectronics" valueType="string"/>
							<targetPlatform archList="all" binaryParser="org.eclipse.cdt.core.ELF" id="com.atollic.truestudio.exe.debug.toolchain.platform.814641963" isAbstract="false" name="Debug platform" osList="all" superClass="com.atollic.truestudio.exe.debug.toolchain.platform"/>
							<builder buildPath="${workspace_loc:/Example}/Debug" customBuilderProperties="toolChainpathString=/opt/Atollic_TrueSTUDIO_for_STM32_x86_64_9.0.1/ARMTools/bin|toolChainpathType=1|com.atollic.truestudio.common_options.target.vendor=STMicroelectronics|com.atollic.truestudio.common_options.target.mcu=STM32L496ZG|" id="com.atollic.truestudio.mbs.builder1.1343071004" keepEnvironmentInBuildfile="false" managedBuildOn="true" name="CDT Internal Builder" superClass="com.atollic.truestudio.mbs.builder1"/>
							<tool id="com.atollic.truestudio.exe.debug.toolchain.as.1653886178" name="Assembler" superClass="com.atollic.truestudio.exe.debug.toolchain.as">
								<option id="com.atollic.truestudio.common_options.target.endianess.534978916" name="Endianess" superClass="com.atollic.truestudio.common_options.target.endianess" useByScannerDiscovery="false"/>
								<option id="com.atollic.truestudio.common_options.target.mcpu.672315213" name="Microcontroller" superClass="com.atollic.truestudio.common_options.target.mcpu" useByScannerDiscovery="false" value="STM32L496ZG" valueType="enumerated"/>
								<option id="com.atollic.truestudio.common_options.target.instr_set.629699936" name="Instruction set" superClass="com.atollic.truestudio.common_options.target.instr_set" useByScannerDiscovery="false" value="com.atollic.truestudio.common_options.target.instr_set.thumb2" valueType="enumerated"/>
								<option id="com.atollic.truestudio.common_options.target.fpucore.875239872" name="FPU" superClass="com.atollic.truestudio.common_options.target.fpucore" useByScannerDiscovery="false" value="com.atollic.truestudio.common_options.target.fpucore.fpv4-sp-d16" valueType="enumerated"/>
								<option id="com.atollic.truestudio.common_options.target.fpu.1091858880" name="Floating point" superClass="com.atollic.truestudio.common_options.target.fpu" useByScannerDiscovery="false" value="com.atollic.truestudio.common_options.target.fpu.hard" valueType="enumerated"/>
								<option id="com.atollic.truestudio.as.symbols.defined.631790802" name="Defined symbols" superClass="com.atollic.truestudio.as.symbols.defined" useByScannerDiscovery="false" valueType="definedSymbols">
									<listOptionValue builtIn="false" value="STM32L496xx"/>
									<listOptionValue builtIn="false" value="ARM_MATH_CM4"/>
								</option>
								<option id="com.atollic.truestudio.as.general.incpath.1847568596" name="Include path" superClass="com.atollic.truestudio.as.general.incpath" useByScannerDiscovery="false" valueType="includePath">
									<listOptionValue builtIn="false" value="../Drivers/CMSIS/Include"/>
									<listOptionValue builtIn="false" value="../Drivers/CMSIS/Device/ST/STM32L4xx/Include"/>
									<listOptionValue builtIn="false" value="../Drivers/STM32L4xx_HAL_Driver/Inc"/>
									<listOptionValue builtIn="false" value="../Startup"/>
								</option>
								<option id="com.atollic.truestudio.common_options.target.interwork.1955461085" name="Mix ARM/Thumb" superClass="com.atollic.truestudio.common_options.target.interwork" useByScannerDiscovery="false"/>
								<inputType id="com.atollic.truestudio.as.input.985663670" name="Input" superClass="com.atollic.truestudio.as.input"/>
							</tool>
							<tool id="com.atollic.truestudio.exe.debug.toolchain.gcc.1683879677" name="C Compiler" superClass="com.atollic.truestudio.exe.debug.toolchain.gcc">
								<option id="com.atollic.truestudio.gcc.symbols.defined.308579542" name="Defined symbols" superClass="com.atollic.truestudio.gcc.symbols.defined" useByScannerDiscovery="false" valueType="definedSymbols">
									<listOptionValue builtIn="false" value="STM32L496xx"/>
									<listOptionValue builtIn="false" value="ARM_MATH_CM4"/>
								</option>
								<option id="com.atollic.truestudio.gcc.directories.select.170072449" name="Include path" superClass="com.atollic.truestudio.gcc.directories.select" useByScannerDiscovery="false" valueType="includePath">
									<listOptionValue builtIn="false" value="../Inc"/>
									<listOptionValue builtIn="false" value="../Startup"/>
									<listOptionValue builtIn="false" value="../Drivers/CMSIS/Include"/>
									<listOptionValue builtIn="false" value="../Drivers/CMSIS/Device/ST/STM32L4xx/Include"/>
									<listOptionValue builtIn="false" value="../Drivers/STM32L4xx_HAL_Driver/Inc"/>
									<listOptionValue builtIn="false" value="../FreeRTOS/include"/>
									<listOptionValue builtIn="false" value="../FreeRTOS/portable/GCC/ARM_CM4F"/>
								</option>
								<option id="com.atollic.truestudio.common_options.target.endianess.2016825977" name="Endianess" superClass="com.atollic.truestudio.common_options.target.endianess" useByScannerDiscovery="false"/>
								<option id="com.atollic.truestudio.common_options.target.mcpu.773615557" name="Microcontroller" superClass="com.atollic.truestudio.common_options.target.mcpu" useByScannerDiscovery="false" value="STM32L496ZG" valueType="enumerated"/>
								<option id="com.atollic.truestudio.common_options.target.instr_set.1556420691" name="Instruction set" superClass="com.atollic.truestudio.common_options.target.instr_set" useByScannerDiscovery="false" value="com.atollic.truestudio.common_options.target.instr_set.thumb2" valueType="enumerated"/>
								<option id="com.atollic.truestudio.common_options.target.fpucore.2023040974" name="FPU" superClass="com.atollic.truestudio.common_options.target.fpucore" useByScannerDiscovery="false" value="com.atollic.truestudio.common_options.target.fpucore.fpv4-sp-d16" valueType="enumerated"/>
								<option id="com.atollic.truestudio.common_options.target.fpu.1688545037" name="Floating point" superClass="com.atollic.truestudio.common_options.target.fpu" useByScannerDiscovery="false" value="com.atollic.truestudio.common_options.target.fpu.hard" valueType="enumerated"/>
								<option id="com.atollic.truestudio.gcc.optimization.prep_garbage.1653635034" name="Prepare dead code removal " superClass="com.atollic.truestudio.gcc.optimization.prep_garbage" useByScannerDiscovery="false" value="true" valueType="boolean"/>
								<option id="com.atollic.truestudio.gcc.optimization.prep_data.1308143341" name="Prepare dead data removal" superClass="com.atollic.truestudio.gcc.optimization.prep_data" useByScannerDiscovery="false" value="true" valueType="boolean"/>
								<option id="com.atollic.truestudio.gcc.optimization.slow_flash_data.88419815" name="Assume loading data from flash is slower than fetching instruction (-mslow-flash-data)" superClass="com.atollic.truestudio.gcc.optimization.slow_flash_data" useByScannerDiscovery="false" value="false" valueType="boolean"/>
								<option id="com.atollic.truestudio.exe.debug.toolchain.gcc.optimization.level.1521847355" name="Optimization Level" superClass="com.atollic.truestudio.exe.debug.toolchain.gcc.optimization.level" useByScannerDiscovery="false" value="com.atollic.truestudio.gcc.optimization.level.00" valueType="enumerated"/>
								<option id="com.atollic.truestudio.common_options.target.interwork.729644935" name="Mix ARM/Thumb" superClass="com.atollic.truestudio.common_options.target.interwork" useByScannerDiscovery="false"/>
								<inputType id="com.atollic.truestudio.gcc.input.1941304119" superClass="com.atollic.truestudio.gcc.input"/>
							</tool>
							<tool id="com.atollic.truestudio.exe.debug.toolchain.ld.1588883212" name="C Linker" superClass="com.atollic.truestudio.exe.debug.toolchain.ld">
								<option id="com.atollic.truestudio.common_options.target.endianess.185068091" name="Endianess" superClass="com.atollic.truestudio.common_options.target.endianess" useByScannerDiscovery="false"/>
								<option id="com.atollic.truestudio.common_options.target.mcpu.1841934397" name="Microcontroller" superClass="com.atollic.truestudio.common_options.target.mcpu" useByScannerDiscovery="false" value="STM32L496ZG" valueType="enumerated"/>
								<option id="com.atollic.truestudio.common_options.target.instr_set.76802576" name="Instruction set" superClass="com.atollic.truestudio.common_options.target.instr_set" useByScannerDiscovery="false" value="com.atollic.truestudio.common_options.target.instr_set.thumb2" valueType="enumerated"/>
								<option id="com.atollic.truestudio.common_options.target.fpucore.1358869169" name="FPU" superClass="com.atollic.truestudio.common_options.target.fpucore" useByScannerDiscovery="false" value="com.atollic.truestudio.common_options.target.fpucore.fpv4-sp-d16" valueType="enumerated"/>
								<option id="com.atollic.truestudio.common_options.target.fpu.995538388" name="Floating point" superClass="com.atollic.truestudio.common_options.target.fpu" useByScannerDiscovery="false" value="com.atollic.truestudio.common_options.target.fpu.hard" valueType="enumerated"/>
								<option id="com.atollic.truestudio.ld.general.scriptfile.538020276" name="Linker script" superClass="com.atollic.truestudio.ld.general.scriptfile" useByScannerDiscovery="false" value="../Debug_STM32L496ZG_FLASH.ld" valueType="string"/>
								<option id="com.atollic.truestudio.ld.optimization.do_garbage.709543343" name="Dead code removal " superClass="com.atollic.truestudio.ld.optimization.do_garbage" useByScannerDiscovery="false" value="true" valueType="boolean"/>
								<option id="com.atollic.truestudio.ld.libraries.searchpath.1465789307" name="Library search path" superClass="com.atollic.truestudio.ld.libraries.searchpath" useByScannerDiscovery="false" valueType="libPaths">
									<listOptionValue builtIn="false" value="../Drivers/CMSIS/Lib"/>
								</option>
								<option id="com.atollic.truestudio.ld.libraries.list.1347154831" name="Libraries" superClass="com.atollic.truestudio.ld.libraries.list" useByScannerDiscovery="false" valueType="libs">
									<listOptionValue builtIn="false" value="&quot;:GCC/libarm_cortexM4lf_math.a&quot;"/>
								</option>
								<option id="com.atollic.truestudio.common_options.target.interwork.311330072" name="Mix ARM/Thumb" superClass="com.atollic.truestudio.common_options.target.interwork" useByScannerDiscovery="false"/>
								<inputType id="com.atollic.truestudio.ld.input.1287378025" name="Input" superClass="com.atollic.truestudio.ld.input">
									<additionalInput kind="additionalinputdependency" paths="$(USER_OBJS)"/>
									<additionalInput kind="additionalinput" paths="$(LIBS)"/>
								</inputType>
							</tool>
							<tool id="com.atollic.truestudio.exe.debug.toolchain.gpp.276678968" name="C++ Compiler" superClass="com.atollic.truestudio.exe.debug.toolchain.gpp">
								<option id="com.atollic.truestudio.gpp.symbols.defined.640407678" name="Defined symbols" superClass="com.atollic.truestudio.gpp.symbols.defined" valueType="definedSymbols">
									<listOptionValue builtIn="false" value="STM32L496xx"/>
								</option>
								<option id="com.atollic.truestudio.gpp.directories.select.1423646186" name="Include path" superClass="com.atollic.truestudio.gpp.directories.select" valueType="includePath">
									<listOptionValue builtIn="false" value="../src"/>
									<listOptionValue builtIn="false" value="../Drivers/CMSIS/Include"/>
									<listOptionValue builtIn="false" value="../Drivers/CMSIS/Device/ST/STM32L4xx/Include"/>
									<listOptionValue builtIn="false" value="../Drivers/STM32L4xx_HAL_Driver/Inc"/>
								</option>
								<option id="com.atollic.truestudio.common_options.target.endianess.1683455577" name="Endianess" superClass="com.atollic.truestudio.common_options.target.endianess"/>
								<option id="com.atollic.truestudio.common_options.target.mcpu.490933211" name="Microcontroller" superClass="com.atollic.truestudio.common_options.target.mcpu" value="STM32L496ZG" valueType="enumerated"/>
								<option id="com.atollic.truestudio.common_options.target.instr_set.847394350" name="Instruction set" superClass="com.atollic.truestudio.common_options.target.instr_set" value="com.atollic.truestudio.common_options.target.instr_set.thumb2" valueType="enumerated"/>
								<option id="com.atollic.truestudio.common_options.target.fpucore.2079523306" name="FPU" superClass="com.atollic.truestudio.common_options.target.fpucore" value="com.atollic.truestudio.common_options.target.fpucore.fpv4-sp-d16" valueType="enumerated"/>
								<option id="com.atollic.truestudio.common_options.target.fpu.1647011355" name="Floating point" superClass="com.atollic.truestudio.common_options.target.fpu" value="com.atollic.truestudio.common_options.target.fpu.hard" valueType="enumerated"/>
								<option id="com.atollic.truestudio.gpp.optimization.prep_garbage.577058855" name="Prepare dead code removal" superClass="com.atollic.truestudio.gpp.optimization.prep_garbage" value="true" valueType="boolean"/>
								<option id="com.atollic.truestudio.gpp.optimization.prep_data.137584964" name="Prepare dead data removal" superClass="com.atollic.truestudio.gpp.optimization.prep_data" value="true" valueType="boolean"/>
								<option id="com.atollic.truestudio.gpp.optimization.fno_rtti.1469174833" name="Disable RTTI" superClass="com.atollic.truestudio.gpp.optimization.fno_rtti"/>
								<option id="com.atollic.truestudio.gpp.optimization.fno_exceptions.115869569" name="Disable exception handling" superClass="com.atollic.truestudio.gpp.optimization.fno_exceptions"/>
								<option id="com.atollic.truestudio.common_options.target.interwork.1521335170" name="Mix ARM/Thumb" superClass="com.atollic.truestudio.common_options.target.interwork"/>
							</tool>
							<tool id="com.atollic.truestudio.exe.debug.toolchain.ldcc.999901046" name="C++ Linker" superClass="com.atollic.truestudio.exe.debug.toolchain.ldcc">
								<option id="com.atollic.truestudio.common_options.target.endianess.110109028" name="Endianess" superClass="com.atollic.truestudio.common_options.target.endianess"/>
								<option id="com.atollic.truestudio.common_options.target.mcpu.904193645" name="Microcontroller" superClass="com.atollic.truestudio.common_options.target.mcpu" value="STM32L496ZG" valueType="enumerated"/>
								<option id="com.atollic.truestudio.common_options.target.instr_set.1202506393" name="Instruction set" superClass="com.atollic.truestudio.common_options.target.instr_set" value="com.atollic.truestudio.common_options.target.instr_set.thumb2" valueType="enumerated"/>
								<option id="com.atollic.truestudio.common_options.target.fpucore.1175448398" name="FPU" superClass="com.atollic.truestudio.common_options.target.fpucore" value="com.atollic.truestudio.common_options.target.fpucore.fpv4-sp-d16" valueType="enumerated"/>
								<option id="com.atollic.truestudio.common_options.target.fpu.1324027009" name="Floating point" superClass="com.atollic.truestudio.common_options.target.fpu" value="com.atollic.truestudio.common_options.target.fpu.hard" valueType="enumerated"/>
								<option id="com.atollic.truestudio.ldcc.optimization.do_garbage.1192819279" name="Dead code removal" superClass="com.atollic.truestudio.ldcc.optimization.do_garbage" value="true" valueType="boolean"/>
								<option id="com.atollic.truestudio.ldcc.general.scriptfile.343129090" name="Linker script" superClass="com.atollic.truestudio.ldcc.general.scriptfile" value="../Debug_STM32L496ZG_FLASH.ld" valueType="string"/>
								<option id="com.atollic.truestudio.common_options.target.interwork.1178525930" name="Mix ARM/Thumb" superClass="com.atollic.truestudio.common_options.target.interwork"/>
							</tool>
							<tool id="com.atollic.truestudio.ar.base.1683973444" name="Archiver" superClass="com.atollic.truestudio.ar.base"/>
							<tool id="com.atollic.truestudio.exe.debug.toolchain.secoutput.1039079042" name="Other" superClass="com.atollic.truestudio.exe.debug.toolchain.secoutput">
								<option id="com.atollic.truestudio.secoutput.general.convert.1003007208" name="Convert build output" superClass="com.atollic.truestudio.secoutput.general.convert" useByScannerDiscovery="false" value="true" valueType="boolean"/>
							</tool>
						</toolChain>
					</folderInfo>
					<folderInfo id="com.atollic.truestudio.exe.debug.1264555599.1156897125" name="/" resourcePath="FreeRTOS">
						<toolChain id="com.atollic.truestudio.exe.debug.toolchain.193650617" name="Atollic ARM Tools" superClass="com.atollic.truestudio.exe.debug.toolchain" unusedChildren="">
							<option id="com.atollic.truestudio.general.runtimelib.12729623.271455654" name="Runtime Library" superClass="com.atollic.truestudio.general.runtimelib.12729623"/>
							<option id="com.atollic.truestudio.toolchain_options.mcu.2050165243.1543542829" name="Microcontroller" superClass="com.atollic.truestudio.toolchain_options.mcu.2050165243"/>
							<option id="com.atollic.truestudio.toolchain_options.vendor.289037181.411800597" name="Vendor name" superClass="com.atollic.truestudio.toolchain_options.vendor.289037181"/>
							<targetPlatform archList="all" binaryParser="org.eclipse.cdt.core.ELF" id="com.atollic.truestudio.exe.debug.toolchain.platform" isAbstract="false" name="Debug platform" osList="all" superClass="com.atollic.truestudio.exe.debug.toolchain.platform"/>
							<tool id="com.atollic.truestudio.exe.debug.toolchain.as.1634511122" name="Assembler" superClass="com.atollic.truestudio.exe.debug.toolchain.as.1653886178">
								<inputType id="com.atollic.truestudio.as.input.31958733" name="Input" superClass="com.atollic.truestudio.as.input"/>
							</tool>
							<tool id="com.atollic.truestudio.exe.debug.toolchain.gcc.243938793" name="C Compiler" superClass="com.atollic.truestudio.exe.debug.toolchain.gcc.1683879677">
								<option id="com.atollic.truestudio.gcc.directories.select.1611627894" name="Include path" superClass="com.atollic.truestudio.gcc.directories.select" valueType="includePath">
									<listOptionValue builtIn="false" value="../Inc"/>
									<listOptionValue builtIn="false" value="../Startup"/>
									<listOptionValue builtIn="false" value="../Drivers/CMSIS/Include"/>
									<listOptionValue builtIn="false" value="../Drivers/CMSIS/Device/ST/STM32L4xx/Include"/>
									<listOptionValue builtIn="false" value="../Drivers/STM32L4xx_HAL_Driver/Inc"/>
									<listOptionValue builtIn="false" value="../FreeRTOS/include"/>
									<listOptionValue builtIn="false" value="../FreeRTOS/portable/GCC/ARM_CM4F"/>
								</option>
								<inputType id="com.atollic.truestudio.gcc.input.2032419990" superClass="com.atollic.truestudio.gcc.input"/>
							</tool>
							<tool id="com.atollic.truestudio.exe.debug.toolchain.ld.1788983999" name="C Linker" superClass="com.atollic.truestudio.exe.debug.toolchain.ld.1588883212"/>
							<tool id="com.atollic.truestudio.exe.debug.toolchain.gpp.15825158" name="C++ Compiler" superClass="com.atollic.truestudio.exe.debug.toolchain.gpp.276678968"/>
							<tool id="com.atollic.truestudio.exe.debug.toolchain.ldcc.491736618" name="C++ Linker" superClass="com.atollic.truestudio.exe.debug.toolchain.ldcc.999901046"/>
							<tool id="com.atollic.truestudio.ar.base.1954655428" name="Archiver" superClass="com.atollic.truestudio.ar.base.1683973444"/>
							<tool id="com.atollic.truestudio.exe.debug.toolchain.secoutput.1757070632" name="Other" superClass="com.atollic.truestudio.exe.debug.toolchain.secoutput.1039079042"/>
						</toolChain>
					</folderInfo>
					<sourceEntries>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="Drivers"/>
						<entry flags="VALUE_WORKSPACE_PATH" kind="sourcePath" name="FreeRTOS"/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="Src"/>
						<entry flags="VALUE_WORKSPACE_PATH" kind="sourcePath" name="Startup"/>
					</sourceEntries>
				</configuration>
			</storageModule>
			<storageModule moduleId="org.eclipse.cdt.core.externalSettings"/>
		</cconfiguration>
		<cconfiguration id="com.atollic.truestudio.configuration.release.1271050555">
			<storageModule buildSystemId="org.eclipse.cdt.managedbuilder.core.configurationDataProvider" id="com.atollic.truestudio.configuration.release.1271050555" moduleId="org.eclipse.cdt.core.settings" name="Release">
				<externalSettings/>
				<extensions>
					<extension id="org.eclipse.cdt.core.ELF" point="org.eclipse.cdt.core.BinaryParser"/>
					<extension id="org.eclipse.cdt.core.GASErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.GLDErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.GCCErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
				</extensions>
			</storageModule>
			<storageModule moduleId="cdtBuildSystem" version="4.0.0">
				<configuration artifactExtension="elf" artifactName="${ProjName}" buildArtefactType="org.eclipse.cdt.build.core.buildArtefactType.exe" buildProperties="org.eclipse.cdt.build.core.buildArtefactType=org.eclipse.cdt.build.core.buildArtefactType.exe" cleanCommand="rm -rf" description="" id="com.atollic.truestudio.configuration.release.1271050555" name="Release" parent="com.atollic.truestudio.configuration.release">
					<folderInfo id="com.atollic.truestudio.configuration.release.1271050555." name="/" resourcePath="">
						<toolChain id="com.atollic.truestudio.exe.release.toolchain.11017054" name="Atollic ARM Tools" superClass="com.atollic.truestudio.exe.release.toolchain">
							<option id="com.atollic.truestudio.general.runtimelib.393875119" name="Runtime Library" superClass="com.atollic.truestudio.general.runtimelib" value="com.atollic.truestudio.ld.general.clib.small" valueType="enumerated"/>
							<option id="com.atollic.truestudio.toolchain_options.mcu.1427612361" name="Microcontroller" superClass="com.atollic.truestudio.toolchain_options.mcu" value="STM32L496ZG" valueType="string"/>
							<option id="com.atollic.truestudio.toolchain_options.vendor.60916733" name="Vendor name" superClass="com.atollic.truestudio.toolchain_options.vendor" value="STMicroelectronics" valueType="string"/>
							<targetPlatform archList="all" binaryParser="org.eclipse.cdt.core.ELF" id="com.atollic.truestudio.exe.release.toolchain.platform.1139073883" isAbstract="false" name="release platform" superClass="com.atollic.truestudio.exe.release.toolchain.platform"/>
							<builder buildPath="${workspace_loc:/Example}/Release" customBuilderProperties="com.atollic.truestudio.common_options.target.vendor=STMicroelectronics|com.atollic.truestudio.common_options.target.mcu=STM32L496ZG|" id="com.atollic.truestudio.mbs.builder1.392356840" keepEnvironmentInBuildfile="false" managedBuildOn="true" name="CDT Internal Builder" superClass="com.atollic.truestudio.mbs.builder1"/>
							<tool id="com.atollic.truestudio.exe.release.toolchain.as.1671939386" name="Assembler" superClass="com.atollic.truestudio.exe.release.toolchain.as">
								<option id="com.atollic.truestudio.common_options.target.endianess.1255853773" name="Endianess" superClass="com.atollic.truestudio.common_options.target.endianess"/>
								<option id="com.atollic.truestudio.common_options.target.mcpu.947915566" name="Microcontroller" superClass="com.atollic.truestudio.common_options.target.mcpu" value="STM32L496ZG" valueType="enumerated"/>
								<option id="com.atollic.truestudio.common_options.target.instr_set.1170003972" name="Instruction set" superClass="com.atollic.truestudio.common_options.target.instr_set" value="com.atollic.truestudio.common_options.target.instr_set.thumb2" valueType="enumerated"/>
								<option id="com.atollic.truestudio.common_options.target.fpucore.1856002100" name="FPU" superClass="com.atollic.truestudio.common_options.target.fpucore" value="com.atollic.truestudio.common_options.target.fpucore.fpv4-sp-d16" valueType="enumerated"/>
								<option id="com.atollic.truestudio.common_options.target.fpu.875881451" name="Floating point" superClass="com.atollic.truestudio.common_options.target.fpu" value="com.atollic.truestudio.common_options.target.fpu.hard" valueType="enumerated"/>
								<option id="com.atollic.truestudio.as.symbols.defined.1965952050" name="Defined symbols" superClass="com.atollic.truestudio.as.symbols.defined" valueType="definedSymbols">
									<listOptionValue builtIn="false" value="STM32L496xx"/>
								</option>
								<option id="com.atollic.truestudio.as.general.incpath.1516095928" name="Include path" superClass="com.atollic.truestudio.as.general.incpath" valueType="includePath">
									<listOptionValue builtIn="false" value="../src"/>
									<listOptionValue builtIn="false" value="../Drivers/CMSIS/Include"/>
									<listOptionValue builtIn="false" value="../Drivers/CMSIS/Device/ST/STM32L4xx/Include"/>
									<listOptionValue builtIn="false" value="../Drivers/STM32L4xx_HAL_Driver/Inc"/>
								</option>
								<option id="com.atollic.truestudio.common_options.target.interwork.535738329" name="Mix ARM/Thumb" superClass="com.atollic.truestudio.common_options.target.interwork"/>
								<inputType id="com.atollic.truestudio.as.input.1549324174" name="Input" superClass="com.atollic.truestudio.as.input"/>
							</tool>
							<tool id="com.atollic.truestudio.exe.release.toolchain.gcc.1002981656" name="C Compiler" superClass="com.atollic.truestudio.exe.release.toolchain.gcc">
								<option id="com.atollic.truestudio.gcc.symbols.defined.1066426373" name="Defined symbols" superClass="com.atollic.truestudio.gcc.symbols.defined" valueType="definedSymbols">
									<listOptionValue builtIn="false" value="STM32L496xx"/>
								</option>
								<option id="com.atollic.truestudio.gcc.directories.select.433716182" name="Include path" superClass="com.atollic.truestudio.gcc.directories.select" valueType="includePath">
									<listOptionValue builtIn="false" value="../src"/>
									<listOptionValue builtIn="false" value="../Drivers/CMSIS/Include"/>
									<listOptionValue builtIn="false" value="../Drivers/CMSIS/Device/ST/STM32L4xx/Include"/>
									<listOptionValue builtIn="false" value="../Drivers/STM32L4xx_HAL_Driver/Inc"/>
								</option>
								<option id="com.atollic.truestudio.common_options.target.endianess.1472163188" name="Endianess" superClass="com.atollic.truestudio.common_options.target.endianess"/>
								<option id="com.atollic.truestudio.common_options.target.mcpu.556960547" name="Microcontroller" superClass="com.atollic.truestudio.common_options.target.mcpu" value="STM32L496ZG" valueType="enumerated"/>
								<option id="com.atollic.truestudio.common_options.target.instr_set.928859211" name="Instruction set" superClass="com.atollic.truestudio.common_options.target.instr_set" value="com.atollic.truestudio.common_options.target.instr_set.thumb2" valueType="enumerated"/>
								<option id="com.atollic.truestudio.common_options.target.fpucore.1217495352" name="FPU" superClass="com.atollic.truestudio.common_options.target.fpucore" value="com.atollic.truestudio.common_options.target.fpucore.fpv4-sp-d16" valueType="enumerated"/>
								<option id="com.atollic.truestudio.common_options.target.fpu.1637106894" name="Floating point" superClass="com.atollic.truestudio.common_options.target.fpu" value="com.atollic.truestudio.common_options.target.fpu.hard" valueType="enumerated"/>
								<option id="com.atollic.truestudio.gcc.optimization.prep_garbage.1726761975" name="Prepare dead code removal " superClass="com.atollic.truestudio.gcc.optimization.prep_garbage" value="true" valueType="boolean"/>
								<option id="com.atollic.truestudio.gcc.optimization.prep_data.1852601750" name="Prepare dead data removal" superClass="com.atollic.truestudio.gcc.optimization.prep_data" value="true" valueType="boolean"/>
								<option id="com.atollic.truestudio.common_options.target.interwork.466786138" name="Mix ARM/Thumb" superClass="com.atollic.truestudio.common_options.target.interwork"/>
								<inputType id="com.atollic.truestudio.gcc.input.1219591748" superClass="com.atollic.truestudio.gcc.input"/>
							</tool>
							<tool id="com.atollic.truestudio.exe.release.toolchain.ld.356799583" name="C Linker" superClass="com.atollic.truestudio.exe.release.toolchain.ld">
								<option id="com.atollic.truestudio.common_options.target.endianess.866592507" name="Endianess" superClass="com.atollic.truestudio.common_options.target.endianess"/>
								<option id="com.atollic.truestudio.common_options.target.mcpu.1174553912" name="Microcontroller" superClass="com.atollic.truestudio.common_options.target.mcpu" value="STM32L496ZG" valueType="enumerated"/>
								<option id="com.atollic.truestudio.common_options.target.instr_set.276213285" name="Instruction set" superClass="com.atollic.truestudio.common_options.target.instr_set" value="com.atollic.truestudio.common_options.target.instr_set.thumb2" valueType="enumerated"/>
								<option id="com.atollic.truestudio.common_options.target.fpucore.479865724" name="FPU" superClass="com.atollic.truestudio.common_options.target.fpucore" value="com.atollic.truestudio.common_options.target.fpucore.fpv4-sp-d16" valueType="enumerated"/>
								<option id="com.atollic.truestudio.common_options.target.fpu.1026868861" name="Floating point" superClass="com.atollic.truestudio.common_options.target.fpu" value="com.atollic.truestudio.common_options.target.fpu.hard" valueType="enumerated"/>
								<option id="com.atollic.truestudio.ld.general.scriptfile.1296567709" name="Linker script" superClass="com.atollic.truestudio.ld.general.scriptfile" value="../stm32l4_flash.ld" valueType="string"/>
								<option id="com.atollic.truestudio.ld.optimization.do_garbage.1919880080" name="Dead code removal " superClass="com.atollic.truestudio.ld.optimization.do_garbage" value="true" valueType="boolean"/>
								<option id="com.atollic.truestudio.common_options.target.interwork.666865060" name="Mix ARM/Thumb" superClass="com.atollic.truestudio.common_options.target.interwork"/>
								<inputType id="com.atollic.truestudio.ld.input.1292466418" name="Input" superClass="com.atollic.truestudio.ld.input">
									<additionalInput kind="additionalinputdependency" paths="$(USER_OBJS)"/>
									<additionalInput kind="additionalinput" paths="$(LIBS)"/>
								</inputType>
							</tool>
							<tool id="com.atollic.truestudio.exe.release.toolchain.gpp.826191087" name="C++ Compiler" superClass="com.atollic.truestudio.exe.release.toolchain.gpp">
								<option id="com.atollic.truestudio.gpp.symbols.defined.1130396128" name="Defined symbols" superClass="com.atollic.truestudio.gpp.symbols.defined" valueType="definedSymbols">
									<listOptionValue builtIn="false" value="STM32L496xx"/>
								</option>
								<option id="com.atollic.truestudio.gpp.directories.select.74496724" name="Include path" superClass="com.atollic.truestudio.gpp.directories.select" valueType="includePath">
									<listOptionValue builtIn="false" value="../src"/>
									<listOptionValue builtIn="false" value="../Drivers/CMSIS/Include"/>
									<listOptionValue builtIn="false" value="../Drivers/CMSIS/Device/ST/STM32L4xx/Include"/>
									<listOptionValue builtIn="false" value="../Drivers/STM32L4xx_HAL_Driver/Inc"/>
								</option>
								<option id="com.atollic.truestudio.common_options.target.endianess.2112241158" name="Endianess" superClass="com.atollic.truestudio.common_options.target.endianess"/>
								<option id="com.atollic.truestudio.common_options.target.mcpu.1222214306" name="Microcontroller" superClass="com.atollic.truestudio.common_options.target.mcpu" value="STM32L496ZG" valueType="enumerated"/>
								<option id="com.atollic.truestudio.common_options.target.instr_set.599722450" name="Instruction set" superClass="com.atollic.truestudio.common_options.target.instr_set" value="com.atollic.truestudio.common_options.target.instr_set.thumb2" valueType="enumerated"/>
								<option id="com.atollic.truestudio.common_options.target.fpucore.414650408" name="FPU" superClass="com.atollic.truestudio.common_options.target.fpucore" value="com.atollic.truestudio.common_options.target.fpucore.fpv4-sp-d16" valueType="enumerated"/>
								<option id="com.atollic.truestudio.common_options.target.fpu.1475987667" name="Floating point" superClass="com.atollic.truestudio.common_options.target.fpu" value="com.atollic.truestudio.common_options.target.fpu.hard" valueType="enumerated"/>
								<option id="com.atollic.truestudio.gpp.optimization.prep_garbage.1588803832" name="Prepare dead code removal" superClass="com.atollic.truestudio.gpp.optimization.prep_garbage" value="true" valueType="boolean"/>
								<option id="com.atollic.truestudio.gpp.optimization.prep_data.1374796205" name="Prepare dead data removal" superClass="com.atollic.truestudio.gpp.optimization.prep_data" value="true" valueType="boolean"/>
								<option id="com.atollic.truestudio.gpp.optimization.fno_rtti.1474433563" name="Disable RTTI" superClass="com.atollic.truestudio.gpp.optimization.fno_rtti"/>
								<option id="com.atollic.truestudio.gpp.optimization.fno_exceptions.1819092176" name="Disable exception handling" superClass="com.atollic.truestudio.gpp.optimization.fno_exceptions"/>
								<option id="com.atollic.truestudio.common_options.target.interwork.1570449768" name="Mix ARM/Thumb" superClass="com.atollic.truestudio.common_options.target.interwork"/>
							</tool>
							<tool id="com.atollic.truestudio.exe.release.toolchain.ldcc.418632717" name="C++ Linker" superClass="com.atollic.truestudio.exe.release.toolchain.ldcc">
								<option id="com.atollic.truestudio.common_options.target.endianess.410204216" name="Endianess" superClass="com.atollic.truestudio.common_options.target.endianess"/>
								<option id="com.atollic.truestudio.common_options.target.mcpu.1172974372" name="Microcontroller" superClass="com.atollic.truestudio.common_options.target.mcpu" value="STM32L496ZG" valueType="enumerated"/>
								<option id="com.atollic.truestudio.common_options.target.instr_set.87969515" name="Instruction set" superClass="com.atollic.truestudio.common_options.target.instr_set" value="com.atollic.truestudio.common_options.target.instr_set.thumb2" valueType="enumerated"/>
								<option id="com.atollic.truestudio.common_options.target.fpucore.1456612203" name="FPU" superClass="com.atollic.truestudio.common_options.target.fpucore" value="com.atollic.truestudio.common_options.target.fpucore.fpv4-sp-d16" valueType="enumerated"/>
								<option id="com.atollic.truestudio.common_options.target.fpu.828212750" name="Floating point" superClass="com.atollic.truestudio.common_options.target.fpu" value="com.atollic.truestudio.common_options.target.fpu.hard" valueType="enumerated"/>
								<option id="com.atollic.truestudio.ldcc.optimization.do_garbage.1766009696" name="Dead code removal" superClass="com.atollic.truestudio.ldcc.optimization.do_garbage" value="true" valueType="boolean"/>
								<option id="com.atollic.truestudio.ldcc.general.scriptfile.745197690" name="Linker script" superClass="com.atollic.truestudio.ldcc.general.scriptfile" value="../stm32l4_flash.ld" valueType="string"/>
								<option id="com.atollic.truestudio.common_options.target.interwork.743794274" name="Mix ARM/Thumb" superClass="com.atollic.truestudio.common_options.target.interwork"/>
							</tool>
							<tool id="com.atollic.truestudio.ar.base.589047469" name="Archiver" superClass="com.atollic.truestudio.ar.base"/>
							<tool id="com.atollic.truestudio.exe.release.toolchain.secoutput.2067980227" name="Other" superClass="com.atollic.truestudio.exe.release.toolchain.secoutput"/>
						</toolChain>
					</folderInfo>
					<sourceEntries>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="Drivers"/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="Src"/>
					</sourceEntries>
				</configuration>
			</storageModule>
			<storageModule moduleId="org.eclipse.cdt.core.externalSettings"/>
		</cconfiguration>
	</storageModule>
	<storageModule moduleId="cdtBuildSystem" version="4.0.0">
		<project id="Example.com.atollic.truestudio.exe.1626860548" name="Executable" projectType="com.atollic.truestudio.exe"/>
	</storageModule>
	<storageModule moduleId="org.eclipse.cdt.core.LanguageSettingsProviders"/>
	<storageModule moduleId="refreshScope" versionNumber="2">
		<configuration configurationName="Debug">
			<resource resourceType="PROJECT" workspacePath="/Example"/>
		</configuration>
		<configuration configurationName="Release">
			<resource resourceType="PROJECT" workspacePath="/Example"/>
		</configuration>
	</storageModule>
	<storageModule moduleId="org.eclipse.cdt.make.core.buildtargets"/>
	<storageModule moduleId="scannerConfiguration">
		<autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId=""/>
		<scannerConfigBuildInfo instanceId="com.atollic.truestudio.exe.debug.1264555599;com.atollic.truestudio.exe.debug.1264555599.;com.atollic.truestudio.exe.debug.toolchain.gcc.1683879677;com.atollic.truestudio.gcc.input.1941304119">
			<autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId="com.atollic.truestudio.mbs.ARMToolsPerProjectProfileC"/>
		</scannerConfigBuildInfo>
	</storageModule>
</cproject>
